package com.jasamedika.medifirst2000.vo;

import java.io.Serializable;
import javax.persistence.*;
import java.util.Date;
import org.hibernate.validator.constraints.NotEmpty;

import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import javax.validation.constraints.NotNull;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.internal.util.logging.Messages;

import com.fasterxml.jackson.annotation.JsonManagedReference;
import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 *  class JenisResep
 * 
 * @author Generator
 */
//@Entity
//@Table(name = "JenisResep_M")
public class JenisResepVO extends BaseMasterVO {
	@Caption(value="Jenis Resep")
	private String jenisResep;

	public void setJenisResep(String jenisResep) {
		this.jenisResep = jenisResep;
	}

	@Column(name = "JenisResep", nullable = false , length = 15)
	public String getJenisResep(){
		return this.jenisResep;
	}

	@Caption(value="Kode Jenis Resep")
	private Byte kdJenisResep;

	public void setKdJenisResep(Byte kdJenisResep) {
		this.kdJenisResep = kdJenisResep;
	}

	@Column(name = "KdJenisResep", nullable = false )
	public Byte getKdJenisResep(){
		return this.kdJenisResep;
	}

	@Caption(value="QJenis Resep")
	private Byte qJenisResep;

	public void setqJenisResep(Byte qJenisResep) {
		this.qJenisResep = qJenisResep;
	}

	@Column(name = "QJenisResep", nullable = false )
	public Byte getqJenisResep(){
		return this.qJenisResep;
	}


}

